<?php

/**
 * Vvveb
 *
 * Copyright (C) 2020  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Vvveb;

$params = implode('&', array_slice($argv, 2));
parse_str($params, $_GET);
parse_str($params, $_POST);

//seo testing
if (isset($_GET['request_uri'])) {
	$_SERVER['REQUEST_URI'] = $_GET['request_uri'];
}

$app    = 'app';
$appDir = '';

switch ($argv[1]) {
	case 'install':
		$app    = 'install';
		$appDir = 'install';

		break;

	case 'admin':
		$app    = 'admin';
		$appDir = 'admin';

		break;
}

ini_set('display_errors', false);
ini_set('display_startup_errors', TRUE);
define('DEBUG', 'true');

define('DIR_ROOT', __DIR__ . '/');
define('DIR_SYSTEM', DIR_ROOT . 'system/');

define('APP', $app);
define('FORCE_JSON', true);

//include(DIR_SYSTEM . "/view.php");
include __DIR__ . "/$appDir/config.php";

include DIR_SYSTEM . '/startup.php';

//$view = View::getInstance();
//$view->forceJson = true;

System\start();
